ApiVolumes
POST /v1/volumes/{id}/snapshots
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Header Parameters
Idempotency-Key?string
Length
8 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/volumes/string/snapshots" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "volume_id": "string", "type": "local", "driver": "local", "state": "creating", "manifest_key": "string", "object_count": 0, "size_bytes": 0, "logical_bytes": 0, "inode_count": 0, "error": "string", "source_generation": 0, "restore_volume_id": "string", "retention_until": "string", "created_at": "string", "completed_at": "string"}{ "id": "string", "volume_id": "string", "type": "local", "driver": "local", "state": "creating", "manifest_key": "string", "object_count": 0, "size_bytes": 0, "logical_bytes": 0, "inode_count": 0, "error": "string", "source_generation": 0, "restore_volume_id": "string", "retention_until": "string", "created_at": "string", "completed_at": "string"}Empty